curl -X GET https://app.drime.cloud/api/v1/vault/entries/download/111346 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://app.drime.cloud/api/v1/vault/entries/download/111346', {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { entries } = await response.json();
const { download_url, iv } = entries[0];
// Download and decrypt the file client-side
// using the iv and your vault password
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/vault/entries/download/111346',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
entry = response.json()['entries'][0]
print(f"Download URL: {entry['download_url']}")
print(f"IV for decryption: {entry['iv']}")
{
"entries": [
{
"id": 111346,
"name": "IMG_5039.heic",
"type": "file",
"relativePath": "IMG_5039.heic",
"download_url": "https://app.drime.cloud/api/v1/file-entries/download/MTExMzQ2fHBhZA",
"iv": "WgMf4hizsWEJi3Wm"
}
],
"status": "success",
"seo": null
}
{
"status": "error",
"message": "Entry is not a folder"
}
Vault
Download Vault Folder
Get download URLs for all entries inside a vault folder
GET
/
vault
/
entries
/
download
/
{entryId}
curl -X GET https://app.drime.cloud/api/v1/vault/entries/download/111346 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://app.drime.cloud/api/v1/vault/entries/download/111346', {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { entries } = await response.json();
const { download_url, iv } = entries[0];
// Download and decrypt the file client-side
// using the iv and your vault password
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/vault/entries/download/111346',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
entry = response.json()['entries'][0]
print(f"Download URL: {entry['download_url']}")
print(f"IV for decryption: {entry['iv']}")
{
"entries": [
{
"id": 111346,
"name": "IMG_5039.heic",
"type": "file",
"relativePath": "IMG_5039.heic",
"download_url": "https://app.drime.cloud/api/v1/file-entries/download/MTExMzQ2fHBhZA",
"iv": "WgMf4hizsWEJi3Wm"
}
],
"status": "success",
"seo": null
}
{
"status": "error",
"message": "Entry is not a folder"
}
Overview
Retrieves download information for all entries inside a vault folder, recursively: each entry includes the download URL of its encrypted content and the initialization vector needed for client-side decryption.The entry must be a folder. Passing a file ID returns a
422 error
(Entry is not a folder). To download a single file, use the download_url
already returned for that file by Get Vault Entries.Path Parameters
integer
required
ID of the vault folder entry
Response
array
string
Request status (
success)curl -X GET https://app.drime.cloud/api/v1/vault/entries/download/111346 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://app.drime.cloud/api/v1/vault/entries/download/111346', {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { entries } = await response.json();
const { download_url, iv } = entries[0];
// Download and decrypt the file client-side
// using the iv and your vault password
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/vault/entries/download/111346',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
entry = response.json()['entries'][0]
print(f"Download URL: {entry['download_url']}")
print(f"IV for decryption: {entry['iv']}")
{
"entries": [
{
"id": 111346,
"name": "IMG_5039.heic",
"type": "file",
"relativePath": "IMG_5039.heic",
"download_url": "https://app.drime.cloud/api/v1/file-entries/download/MTExMzQ2fHBhZA",
"iv": "WgMf4hizsWEJi3Wm"
}
],
"status": "success",
"seo": null
}
{
"status": "error",
"message": "Entry is not a folder"
}
The downloaded file is encrypted. Use the
iv and your vault password to decrypt it client-side.